| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::VoronoiSeamFinder Class Reference
Images stitching » Seam Estimation

Voronoi diagram-based seam estimator. More...

`#include <opencv2/stitching/detail/seam_finders.hpp>`

Collaboration diagram for cv::detail::VoronoiSeamFinder:

## Public Member Functions
virtual void | find (const std::vector< Size > &size, const std::vector< Point > &corners, std::vector< UMat > &masks)
virtual void | find (const std::vector< UMat > &src, const std::vector< Point > &corners, std::vector< UMat > &masks) CV_OVERRIDE
| Estimates seams.
Public Member Functions inherited from cv::detail::PairwiseSeamFinder
Public Member Functions inherited from cv::detail::SeamFinder
virtual | ~SeamFinder ()

## Additional Inherited Members
Public Types inherited from cv::detail::SeamFinder
enum | { NO , VORONOI_SEAM , DP_SEAM }
Static Public Member Functions inherited from cv::detail::SeamFinder
static Ptr< SeamFinder > | createDefault (int type)
Protected Member Functions inherited from cv::detail::PairwiseSeamFinder
void | run ()
Protected Attributes inherited from cv::detail::PairwiseSeamFinder
std::vector< Point > | corners_
std::vector< UMat > | images_
std::vector< UMat > | masks_
std::vector< Size > | sizes_

## Detailed Description

Voronoi diagram-based seam estimator.

## Member Function Documentation

## ◆ find() [1/2]

virtual void cv::detail::VoronoiSeamFinder::find | ( | const std::vector< Size > & | size,
|  | const std::vector< Point > & | corners,
|  | std::vector< UMat > & | masks )
| virtual

Python:
| cv.detail.VoronoiSeamFinder.find( | src, corners, masks | ) -> | masks

## ◆ find() [2/2]

virtual void cv::detail::VoronoiSeamFinder::find | ( | const std::vector< UMat > & | src,
|  | const std::vector< Point > & | corners,
|  | std::vector< UMat > & | masks )
| virtual

Python:
| cv.detail.VoronoiSeamFinder.find( | src, corners, masks | ) -> | masks

Estimates seams.

Parameters

  src | Source images
  corners | Source image top-left corners
  masks | Source image masks to update

Reimplemented from cv::detail::PairwiseSeamFinder.

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/seam_finders.hpp